import type { ApiEventName, SettingsContent } from '@cloudcommerce/types';
import { AsyncLocalStorage } from 'node:async_hooks';
import { BaseConfig } from '@cloudcommerce/config';
export declare const configApps: {
    emails: {
        appId: number;
        events: ApiEventName[];
    };
    discounts: {
        appId: number;
    };
    customShipping: {
        appId: number;
    };
    correios: {
        appId: number;
    };
    frenet: {
        appId: number;
        events: ApiEventName[];
    };
    flashCourier: {
        appId: number;
    };
    mandae: {
        appId: number;
    };
    jadlog: {
        appId: number;
    };
    datafrete: {
        appId: number;
    };
    melhorEnvio: {
        appId: number;
        events: ApiEventName[];
    };
    customPayment: {
        appId: number;
    };
    loyaltyPoints: {
        appId: number;
        events: ApiEventName[];
    };
    mercadoPago: {
        appId: number;
    };
    pagarMe: {
        appId: number;
    };
    pagarMeV5: {
        appId: number;
        events: ApiEventName[];
    };
    appmax: {
        appId: number;
    };
    braspag: {
        appId: number;
    };
    pix: {
        appId: number;
    };
    galaxPay: {
        appId: number;
        events: ApiEventName[];
    };
    pagaleve: {
        appId: number;
    };
    pagHiper: {
        appId: number;
    };
    tinyErp: {
        appId: number;
        events: ApiEventName[];
    };
    evendas: {
        appId: number;
        events: ApiEventName[];
    };
    affiliateProgram: {
        appId: number;
        events: ApiEventName[];
    };
    webhooksApp: {
        appId: number;
        events: ApiEventName[];
    };
};
declare const mergeConfig: {
    hello: string;
    httpsFunctionOptions: {
        region: string;
        memory: "128MB" | "256MB" | "512MB" | "1GB" | "2GB";
        maxInstances: number;
    };
    ssrFunctionOptions: {
        region: string;
        memory: "256MiB" | "512MiB" | "1GiB" | "2GiB" | "4GiB";
        timeoutSeconds: number;
        minInstances: number;
    };
    modulesFunctionOptions: {
        memory: "256MiB" | "512MiB" | "1GiB" | "2GiB";
        timeoutSeconds: number;
    };
    apiEvents: {
        delayedMs: number;
        disabledEvents: ApiEventName[];
    };
    apps: {
        emails: {
            appId: number;
            events: ApiEventName[];
        };
        discounts: {
            appId: number;
        };
        customShipping: {
            appId: number;
        };
        correios: {
            appId: number;
        };
        frenet: {
            appId: number;
            events: ApiEventName[];
        };
        flashCourier: {
            appId: number;
        };
        mandae: {
            appId: number;
        };
        jadlog: {
            appId: number;
        };
        datafrete: {
            appId: number;
        };
        melhorEnvio: {
            appId: number;
            events: ApiEventName[];
        };
        customPayment: {
            appId: number;
        };
        loyaltyPoints: {
            appId: number;
            events: ApiEventName[];
        };
        mercadoPago: {
            appId: number;
        };
        pagarMe: {
            appId: number;
        };
        pagarMeV5: {
            appId: number;
            events: ApiEventName[];
        };
        appmax: {
            appId: number;
        };
        braspag: {
            appId: number;
        };
        pix: {
            appId: number;
        };
        galaxPay: {
            appId: number;
            events: ApiEventName[];
        };
        pagaleve: {
            appId: number;
        };
        pagHiper: {
            appId: number;
        };
        tinyErp: {
            appId: number;
            events: ApiEventName[];
        };
        evendas: {
            appId: number;
            events: ApiEventName[];
        };
        affiliateProgram: {
            appId: number;
            events: ApiEventName[];
        };
        webhooksApp: {
            appId: number;
            events: ApiEventName[];
        };
    };
    settingsContent: SettingsContent;
    metafields: {};
};
export declare const config: {
    get(): BaseConfig & typeof mergeConfig & {
        metafields: Record<string, any>;
    };
    set(config: any): void;
};
export default config;
export declare const asyncLocalStorage: AsyncLocalStorage<{
    execId: string;
}>;
export declare const logger: {
    info(msg: any, d?: Record<string, any>): void;
    warn(msg: any, d?: Record<string, any>): void;
    error(msg: any, d?: Record<string, any>): void;
};
export declare const createExecContext: (next: (...args: any[]) => any) => any;
